Last Comment Bug 731080 - [firefox] Merge Google search plugin changes with google-jp.xml
: [firefox] Merge Google search plugin changes with google-jp.xml
Status: RESOLVED FIXED
[qa-]
:
Product: Mozilla Localizations
Classification: Client Software
Component: ja / Japanese (show other bugs)
: unspecified
: All All
: -- major (vote)
: ---
Assigned To: Matthew N. [:MattN] (PM me if requests are blocking you)
: dynamis (Tomoya ASAI)
:
Mentors:
https://hg.mozilla.org/mozilla-centra...
Depends on: 736260
Blocks: 722352
  Show dependency treegraph
 
Reported: 2012-02-27 17:48 PST by Matthew N. [:MattN] (PM me if requests are blocking you)
Modified: 2012-04-03 15:04 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
v.1 Include channel and client changes while preserving variances from en-US (m-a + m-c)) (4.58 KB, patch)
2012-03-01 16:24 PST, Matthew N. [:MattN] (PM me if requests are blocking you)
MattN+bmo: review+
l10n: review+
Details | Diff | Splinter Review

Description Matthew N. [:MattN] (PM me if requests are blocking you) 2012-02-27 17:48:54 PST
Bug 722352 and bug 724116 made changes to the Google search plugin that need to propagate to all locales.

google-jp.xml (x2) needs to be updated to reflect the changes. See https://hg.mozilla.org/mozilla-central/file/tip/browser/locales/en-US/searchplugins/google.xml for the latest en-US version.
Comment 1 Matthew N. [:MattN] (PM me if requests are blocking you) 2012-03-01 13:48:24 PST
Shall I make a patch or is someone else going to take this?
Comment 2 Axel Hecht [:Pike] 2012-03-01 13:56:51 PST
Matthew, if you could do a patch, that'd be surely appreciated.
Comment 3 Matthew N. [:MattN] (PM me if requests are blocking you) 2012-03-01 16:24:02 PST
Created attachment 602189 [details] [diff] [review]
v.1 Include channel and client changes while preserving variances from en-US (m-a + m-c))

This should apply to all 4 repos (ja/ja-JP-mac + m-c/m-a).

Does anyone know why "qu" rather than "q" is used for the search term query parameter for suggestions? I don't don't know where to find the commit history prior to HG usage to investigate for myself.
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-04 19:37:28 PST
Hard to find, but the way to get to pre-Hg blame is:
http://mxr.mozilla.org/l10n-central/source/ja/browser/searchplugins/google-jp.xml
->
http://mxr.mozilla.org/l10n/source/ja/browser/searchplugins/google-jp.xml

I.e. remove "central" from the MXR URL, then use the "CVS Log"/"CVS Blame" links. Since this file was added on the MOZILLA_1_8_BRANCH, you need to take a further step and check the revision log there, by changing "HEAD" to "MOZILLA_1_8_BRANCH" in the log URL:

http://bonsai-l10n.mozilla.org/cvslog.cgi?file=l10n/ja/browser/searchplugins/google-jp.xml&rev=MOZILLA_1_8_BRANCH&mark=1.2

Unfortunately none of that is any more enlightening.

I imagine "qu" may have meant "UTF-8 encoded input" vs. whatever other encoding default "q" assumes, since the suggest URL doesn't contain the "ie" (input encoding) parameter. I can't test this right now because as far as I can tell the Japanese suggestions URL is broken (I get a 400 Bad Request response when trying to load it).
Comment 5 Matthew N. [:MattN] (PM me if requests are blocking you) 2012-03-06 19:42:43 PST
Review ping.

(In reply to Gavin Sharp (use gavin@gavinsharp.com for email) from comment #4)
Thanks

> I can't test this right now because as far as I
> can tell the Japanese suggestions URL is broken (I get a 400 Bad Request
> response when trying to load it).

http://suggestqueries.google.com/complete/search?output=firefox&client=firefox&hl=ja&qu=Gavin WFM
Comment 6 Axel Hecht [:Pike] 2012-03-07 01:21:52 PST
Comment on attachment 602189 [details] [diff] [review]
v.1 Include channel and client changes while preserving variances from en-US (m-a + m-c))

Review of attachment 602189 [details] [diff] [review]:
-----------------------------------------------------------------

Getting my review out of the way, though the real review should come from the Japanese team. That doesn't necessarily have to be dynamis, if someone from the Japanese team can jump in, that'd be great.
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-15 14:42:47 PDT
(In reply to Matthew N. [:MattN] from comment #5)
> http://suggestqueries.google.com/complete/
> search?output=firefox&client=firefox&hl=ja&qu=Gavin WFM

Yeah, it works in Firefox. I can't get it to work in curl/wget for some reason, even with the same UA string/headers. Anyhow, I can't seem to observe any differences between q/qu.
Comment 8 Axel Hecht [:Pike] 2012-03-25 02:33:16 PDT
Masahiko, can you do the review and landing for us here?
Comment 9 Masahiko Imanaka [:marsf] 2012-03-25 06:19:09 PDT
Reviewed.
The patched search plugin works with Japanese search words.

We haven't updated m-c repos. So, I'll landing this to aurora (13.0) and beta (12.0).
Comment 11 Axel Hecht [:Pike] 2012-03-27 04:17:32 PDT
Marking FIXED, thanks.

Please remember to sign-off when you tested this on the aurora nightlies.

Note You need to log in before you can comment on or make changes to this bug.